<?php
declare (strict_types = 1);
/**
 * +----------------------------------------------------------------------
 * | 管理员日志控制器
 * +----------------------------------------------------------------------
 */
namespace app\controller\sys;

// 引入框架内置类
use think\facade\View;

use app\model\System as SystemModel;
use app\utils\ReUtils;

class System extends Base
{
    public function index()
    {
        $data = SystemModel::find(1);

        View::assign('data', $data);

        return View::fetch();
    }

    public function save($id = 0)
    {
        if ($this->request->isPost()) {

            $params = $this->request->param();

            try {
                SystemModel::update($params, ['id' => 1]);

                return ReUtils::success();
            } catch (\Exception $e) {
                return ReUtils::error($e->getMessage());
            }
        }
    }
}
