<?php
declare(strict_types=1);

namespace app\model;

use app\model\Base;

class Tag extends Base
{
    protected $pk = 'id';

    protected $schema = [
        "id"       => "int",
        "tagname"     => "varchar",
        "nums"        => "int",
        "create_time" => "int"
    ];
    // 关闭自动写入update_time字段
    protected $updateTime = false;

    public static function queryList($tagname)
    {
        return self::where('tagname','LIKE', '%'.$tagname.'%')->field('id, tagname, nums')->select();
    }
}
